## org.omg.CONV_FRAME
Class CodeSetComponentInfo

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetComponentInfo

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class CodeSetComponentInfo
extends java.lang.Object
implements IDLEntity

Struct definition : CodeSetComponentInfo

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`CodeSetComponent` `ForCharData` Struct member ForCharData
`CodeSetComponent` `ForWcharData` Struct member ForWcharData

Constructor Summary
`CodeSetComponentInfo()` Default constructor
`CodeSetComponentInfo(CodeSetComponent ForCharData, CodeSetComponent ForWcharData)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ForCharData

    public CodeSetComponent ForCharData

  Struct member ForCharData

### ForWcharData

    public CodeSetComponent ForWcharData

  Struct member ForWcharData

Constructor Detail

### CodeSetComponentInfo

    public CodeSetComponentInfo()

  Default constructor

### CodeSetComponentInfo

    public CodeSetComponentInfo(CodeSetComponent ForCharData,
                                CodeSetComponent ForWcharData)

  Constructor with fields initialization
  Parameters:
    `ForCharData` - ForCharData struct member
    `ForWcharData` - ForWcharData struct member